QGIS Application - Bug report #11900
Plugin layers do not work correctly with rotation
2014-12-21 05:59 AM - Martin Dobias

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 20111
Description

Plugin layers are not drawn correctly when rotation is non-zero. (Tried with Crayfish, probably OpenLayers will have the problem too)

History

#1 - 2014-12-22 02:52 AM - Sandro Santilli
- Tag set to rotation

#2 - 2014-12-23 01:35 AM - Sandro Santilli

It might be easier to split this into one ticket for each non-working plugin as I'm afraid it needs special handling in each of them.

If the problem is (as | supposed without looking) in the MapCanvasltem's setRect function, we know there's no way to retain backward compatibility of that
method in presence of rotation (problem being assumption of top-left corner of visible extent falling exactly on the top-left corner of the device output, while
with rotation active we can only have a fixed corrispondence between centers, not corners).

#3 - 2015-03-26 02:47 AM - Etienne Trimaille

Replicated, layers from OpenLayers plugin are not rotated on qgis master.

#4 - 2016-01-19 02:30 AM - Sandro Santilli

Could you give instruction to reproduce this ?

I've tried "OpenLayers Plugin” (from sourcepole) but I've only found a way to download data and import it into a spatialite db.

#5 - 2016-01-19 02:38 AM - Sandro Santilli

Figured out. I'll file a separate ticket for the openlayers case.

#6 - 2016-01-19 02:46 AM - Sandro Santilli
- Resolution set to up/downstream
- Status changed from Open to Closed

Actually, | think plugin related issues should be handled by plugins themselves.

The OpenLayers plugin already has a ticket for handling rotation (feature request): #12666
I've filed another one for crayfish: https:/github.com/lutraconsulting/qgis-crayfish-plugin/issues/126

Feel free to reopen if you see an issue with qgis itself, rather than a lack of support by calling code.
